// CREAR VENTANA CON BOTON: DEFINIR PROPIEDADES DE LA VENTANA
// DEFINIR VARIOS EVENTOS EXIT
// Sin contenedores
// Dialogos

/* comienzo del ejemplo */

#include <gtk/gtk.h>


/* Funcin mostrar ventana de dialogo */
void message (GtkWidget *widget, gpointer data)
{
    GtkWidget *dialog;
    GtkWindow *parent_window;
    /* crear una ventana de dialogo */
    dialog = gtk_dialog_new_with_buttons ("Ttulo del dilogo",
                                          parent_window,
                                          0,
                                          "Cerrar", GTK_RESPONSE_CLOSE,
                                          "Cancelar", GTK_RESPONSE_CANCEL,
                                          NULL);
    gtk_widget_show (dialog);
}


/* Funcin mostrar ventana de dialogo */
void message2 (GtkWidget *widget, gpointer data)
{
    GtkWidget *dialog2;
    GtkWindow *parent_window2;
    /* crear una ventana de dialogo */
 dialog2 = gtk_message_dialog_new (parent_window2,
                                  GTK_DIALOG_DESTROY_WITH_PARENT,
                                  GTK_MESSAGE_WARNING,
                                  GTK_BUTTONS_CLOSE,
                                  "Saliendo de la aplicacion",
                                  NULL);
    gtk_widget_show (dialog2);
}


/* Funcin evento delete_event */
gint delete_event( GtkWidget *widget, GdkEvent  *event, gpointer data)
{
    g_print ("evento delete_event\n");

    GtkWidget *dialog2;
    GtkWindow *parent_window2;
    /* crear una ventana de dialogo */
   dialog2 = gtk_message_dialog_new (parent_window2,
                                  GTK_DIALOG_DESTROY_WITH_PARENT,
                                  GTK_MESSAGE_WARNING,
                                  GTK_BUTTONS_CLOSE,
                                  "Saliendo de la aplicacion",
                                  NULL);
    gtk_widget_show (dialog2);

    return TRUE;
}


/* Funcin destruir ventana - Acabar aplicacin */
void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}


int main (int argc, char *argv[])
{

    // Definir objetos ventana y botn
    GtkWidget *ventana;
    GtkWidget *boton;

    gtk_init (&argc, &argv);
    
    /* creamos una ventana nueva */
    ventana = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    
    /* establecemos el ancho del borde de la ventana (borde interior) */
    gtk_container_border_width (GTK_CONTAINER (ventana), 10);

    // Ttulo de la ventana
    gtk_window_set_title (GTK_WINDOW (ventana), "Titulo ejemplo 6");
    
    // Tamao de la ventana
    gtk_window_set_default_size (GTK_WINDOW (ventana), 400, 200);


    // Conectamos al evento Cerrar Ventana la funcin delete-event
    g_signal_connect (G_OBJECT (ventana), "delete-event",
                        G_CALLBACK (delete_event), NULL);

    
    // Conectamos al evento Cerrar Ventana la funcin destroy
    g_signal_connect (G_OBJECT (ventana), "destroy",
                        G_CALLBACK (destroy), NULL);
    
    /* creamos un botn nuevo con la  etiqueta "Hola mundo" */
    boton = gtk_button_new_with_label ("Exit");


    // Conectamos el evento clicked del botn a la funcin message
    g_signal_connect_swapped (G_OBJECT (boton), "clicked",
                               G_CALLBACK (message), NULL);
                               
        
    /* Ahora empaquetamos el botn en la ventana (usamos un gtk container ). */
    gtk_container_add (GTK_CONTAINER (ventana), boton);
    
    /* Representar el nuevo widget... */
    gtk_widget_show (boton);
    
    /* y la ventana */
    gtk_widget_show (ventana);
    
    // Inicio bucle de proceso
    gtk_main ();
    
    return 0;
}
/* final del ejemplo*/ 
