// CREAR VENTANA SIMPLE
// APLICACIN CON FUNCION DESTROY

/* principio del ejemplo */

#include <gtk/gtk.h>


/* Funcin evento delete_event */
gint delete_event( GtkWidget *widget, GdkEvent  *event, gpointer data)
{
    g_print ("evento delete_event\n");
    
    return TRUE;
}


/* Funcin destruir ventana - Acabar aplicacin */
void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}


int main (int argc, char *argv[])
{
    // Definir "ventana" como widget 
    GtkWidget *ventana;
    
    // Iniciar la biblioteca gtk
    gtk_init (&argc, &argv);
    
    // Crear la ventana y mostrar la ventana
    ventana = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_widget_show (ventana);


    // Conectamos al evento Cerrar Ventana la funcin delete-event
    g_signal_connect (G_OBJECT (ventana), "delete-event",
                        G_CALLBACK (delete_event), NULL);


    // Conectamos al evento Cerrar Ventana la funcin destroy
    g_signal_connect (G_OBJECT (ventana), "destroy",
                        G_CALLBACK (destroy), NULL);

    
    // Inicio del bucle de proceso gtk
    gtk_main ();
    
    return 0;
}
/* final del ejemplo */
